/* wallatud laulud */

.video-slot {
	display: inline-block;
	width: 100%;
	max-width: 300px;
	text-align: center;
	border: 2px solid transparent;
	padding: 10px;
	margin: 10px;
}

.video-slot.selected {
	display: block;
	max-width: 600px;
	margin-left: auto;
	margin-right: auto;
}

.video-slot:hover {
	border-color: yellow;
}

.video-container {
	width: 100%;
	aspect-ratio: 16 / 9;
	background-color: #000;
	position: relative;
	cursor: pointer;
	display: flex;
	align-items: center;
	justify-content: center;
	background-size: cover;
	background-position: center;
	border-radius: 8px;
	overflow: hidden;
}

.play-button {
	width: 50px;
	height: 50px;
	background: rgba(255, 0, 0, 0.9);
	border-radius: 50%;
	position: relative;
	z-index: 2;
}

.play-button::after {
	content: "";
	border-style: solid;
	border-width: 10px 0 10px 18px;
	border-color: transparent transparent transparent #fff;
	position: absolute;
	top: 50%;
	left: 55%;
	transform: translate(-50%, -50%);
}